aboutsummaryrefslogtreecommitdiffstats
path: root/INSTALL/common.d/10_base
diff options
context:
space:
mode:
authorStephane Desneux <stephane.desneux@iot.bzh>2017-05-11 01:06:09 +0200
committerStephane Desneux <stephane.desneux@iot.bzh>2017-05-11 01:06:09 +0200
commita7bf03217af780f4245af555efdbfdc7ca9e2935 (patch)
tree66698dc80d43d3ff023560bc483acf66a964212d /INSTALL/common.d/10_base
parentf32036a025d8ae7e6ef02aca8b080e5bca60fc11 (diff)
Introduce flavours for containers
Multiple variations over a common base must be supported when creating AGL containers. This commit introduces 'flavours' to achive this goal (see README.md for details). Current supported flavours: * generic : same image as before * xds : new image dedicated to AGL DevKit Change-Id: I0aa65a1d9e83a2d7aed43e0b135dc43c5537bc53 Signed-off-by: Stephane Desneux <stephane.desneux@iot.bzh>
Diffstat (limited to 'INSTALL/common.d/10_base')
-rw-r--r--INSTALL/common.d/10_base67
1 files changed, 67 insertions, 0 deletions
diff --git a/INSTALL/common.d/10_base b/INSTALL/common.d/10_base
new file mode 100644
index 0000000..e429e65
--- /dev/null
+++ b/INSTALL/common.d/10_base
@@ -0,0 +1,67 @@
+#!/bin/bash
+
+# add backports and testing repositories
+echo "deb http://http.debian.net/debian jessie-backports main contrib" >>/etc/apt/sources.list
+
+# setup network retries for apt
+echo "Acquire::Retries 5;" >/etc/apt/apt.conf.d/99NetRetries
+
+# upgrade distro
+apt-get update -y
+apt-get dist-upgrade -y
+
+apt-get install -y passwd sudo openssh-server openssh-client vim systemd logrotate ifupdown locales
+apt-get remove -y exim4 exim4-base exim4-config exim4-daemon-light
+apt-get autoremove -y
+
+# remove some useless systemd services
+for sysdir in /lib/systemd /etc/systemd; do
+ for pattern in tty udev; do
+ find $sysdir -name "*${pattern}*" -exec rm -rf {} \; || :
+ done
+done
+rm -f /lib/systemd/system/sysinit.target.wants/proc-sys-fs-binfmt_misc.automount
+
+cp $INSTDIR/config/bashrc /etc/skel/.bash_aliases # sourced by .bashrc for new users
+
+cp $INSTDIR/config/sudo_devel /etc/sudoers.d/sudo_devel # Allow sudo without password
+
+# copy files for root account (already created)
+find /etc/skel -type f -exec cp -av {} /root \;
+
+# workaround bug on dbus if host runs selinux
+mkdir -p /etc/selinux/targeted/contexts/
+echo '<busconfig><selinux></selinux></busconfig>' >/etc/selinux/targeted/contexts/dbus_contexts
+
+# remount selinux ro to workaround bug in apt-get
+cat <<EOF >/etc/rc.local
+#!/bin/sh -e
+#
+# rc.local
+#
+# This script is executed at the end of each multiuser runlevel.
+# Make sure that the script will "exit 0" on success or any other
+# value on error.
+#
+# In order to enable or disable this script just change the execution
+# bits.
+#
+# By default this script does nothing.
+
+if [ -d /sys/fs/selinux ]; then
+ mount -o remount,ro /sys/fs/selinux
+fi
+
+exit 0
+EOF
+
+# generate locale and set to default
+echo "en_US.UTF-8 UTF-8" >>/etc/locale.gen
+/usr/sbin/locale-gen
+echo "LANG=en_US.UTF-8" >>/etc/default/locale
+
+# by default, /tmp is not mounted in tmpfs: solve this
+echo "tmpfs /tmp tmpfs noatime,size=50% 0 0" >>/etc/fstab
+
+
+